<?php
/**
 * In the name of Allah, The Gracious, The Merciful
 * Author: Nayar(njoolfo0@gmail.com)
 * Plugin site: http://mybbmodding.co.cc
 * Adapted from works of Ali Razavi (http://www.alilg.com/)
 */
 
define('IN_MYBB', 1);

// Very important
require_once "./global.php";

require_once MYBB_ROOT."fbcore/fbconnectplugin.php";
$fbconnectinfo = fbcore_fbconnect_info();
$fbconnectversion = $fbconnectinfo['version'];

// Fetch Facebook Application ID and Secret
$fb_app_id = $mybb->settings['fbcore2'];
$fb_secret = $mybb->settings['fbcore3'];

define('FACEBOOK_APP_ID', $fb_app_id);
define('FACEBOOK_SECRET', $fb_secret);

// Load Language Variables
$lang->load("fbconnect");

// We set the file not to run by default
$allowrun = false;

// Check if FBConnect is ON and 
if ($mybb->settings['boardclosed'] == 0 && $mybb->settings['fbconnect1'] == 1 && $mybb->settings['fbcore1'] == 1 && $db->field_exists('fbuid', 'users'))
{
	// Check if FBConnect configuration is not blank
	if ($fb_app_id && $fb_secret)
	{
		// Check if latest language file is being used
		// if ($fbconnectversion == $lang->fbconnectversion)
		{
			$allowrun = true;
		}
	}
}
if ($allowrun)
{
	// Implement codes from Facebook
	$cookie = get_facebook_cookie(FACEBOOK_APP_ID, FACEBOOK_SECRET);
	if($cookie)
	{
		if($mybb->settings['fbconnect7'] == 0)
		{
			@$fbuser = json_decode(@file_get_contents('https://graph.facebook.com/me?access_token=' .$cookie['access_token']));
		}
		else
		{
			$ch = curl_init();
				$timeout = 5;
				curl_setopt ($ch, CURLOPT_URL, 'https://graph.facebook.com/me?access_token=' .$cookie['access_token']);
				curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
				curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
				$file_contents = curl_exec($ch);
				curl_close($ch);
				$fbuser = json_decode($file_contents);
		}
	}
	
	// Check if member is already logged in
	if(!$mybb->user['uid'])
	{		
		if ($fbuser->id && $fbuser->email)
		{
			// See if this Facebook UID is already in database
			$facebook_mybb_user = $db->simple_select("users", "*", "fbuid='{$fbuser->id}'");
			$fb_user = $db->fetch_array($facebook_mybb_user);
			
			// Also check email
			if(!$fb_user && $mybb->settings['fbconnect5'] == "1")
			{
				$facebook_mybb_user = $db->simple_select("users", "*", "email='{$fbuser->email}'");
				$fb_user = $db->fetch_array($facebook_mybb_user);
				
				// Link the accounts
				if($mybb->settings['fbconnect6'] == "1")
				{
					$db->query("UPDATE ".TABLE_PREFIX."users SET fbuid = {$fbuser->id} WHERE email = '{$fbuser->email}'");
					
				}
			}
			
			// If MyBB Facebook User found
			if($fb_user)
			{

				//Fetch cookie settings from MyBB
				$mybb_cookie_prefix = $mybb->settings['cookieprefix'];
				$mybb_cookie_path = $mybb->settings['cookiepath'];
				$mybb_cookie_domain = $mybb->settings['cookiedomain'];
				
				// Log in User
				setcookie(''.$mybb_cookie_prefix.'mybbuser', ''.$fb_user['uid'].'_'.$fb_user['loginkey'].'', NULL, $mybb_cookie_path, $mybb_cookie_domain);
				
				//Return to index
				$fbconnectheaderinclude = "";
				$fbconnectdata = "{$lang->fbconnectwelcome}<br />";
				$fbconnectjavascript = "<script type=\"text/javascript\">
					<!--
					window.location = \"./index.php\"
					//-->
					</script>";
			}
			else
			{
				$allowreg = false;
				
				if($mybb->settings['fbconnect4'] == 1)
				{
					$allowreg = true;
				}
				
				$plugins->run_hooks("fbconnect_registerform_start");
				
				//Display Registration Form
				if($allowreg)
				{
					if ($mybb->settings['fbconnect9'] == 1)
					{
						$usernameform = "{$lang->fbconnectchoosename}: <br /><input type=\"text\" class=\"textbox\" name=\"username\" id=\"username\" style=\"width: 25%\" value=\"{$fbuser->name}\" /><br />";
					}
					else
					{
						$usernameform = "<input type=\"hidden\" name=\"username\" value=\"{$fbuser->name}\" />";
					}
					
					$fbconnectheaderinclude = "<script type=\"text/javascript\" src=\"jscripts/validator.js\"></script>";
					
					$fbconnectdata = "
					<form action=\"./fbcore/fbconnectregister.php\" method=\"post\" id=\"registration_form\"><input type=\"text\" style=\"visibility: hidden;\" value=\"\" name=\"regcheck1\" /><input type=\"text\" style=\"visibility: hidden;\" value=\"true\" name=\"regcheck2\" />
					<br />{$regerrors}
					{$usernameform}
					<input type=\"hidden\" name=\"email\" id=\"email\" style=\"width: 100%\"  value=\"{$fbuser->email}\" />
					<input type=\"hidden\" name=\"fbuid\" value=\"{$fbuser->id}\" />
					<input type=\"hidden\" name=\"fbaccesstoken\" value=\"{$cookie['access_token']}\" />
					<input type=\"hidden\" name=\"step\" value=\"registration\" />
					<input type=\"hidden\" name=\"action\" value=\"do_register\" />
					<br /><input type=\"submit\" class=\"button\" name=\"regsubmit\" value=\"Register\" />
					<br /><fb:login-button show-faces=\"true\" width=\"400\" max-rows=\"3\"></fb:login-button>
					</td>
					</tr>
					
					<br />
					</form>";
					
					$fbconnectjavascript = "<script type=\"text/javascript\">
					<!--
						regValidator = new FormValidator('registration_form');
						regValidator.register('username', 'notEmpty', {failure_message:'{$lang->js_validator_no_username}'});
						{$validator_extra}
						regValidator.register('username', 'ajax', {url:'xmlhttp.php?action=username_availability', loading_message:'{$lang->js_validator_checking_username}'}); // needs to be last
					// -->
					</script>";
				}
				else
				{
					$fbconnectheaderinclude = "";
					$fbconnectdata = "{$lang->fbconnectregdisabled}";
					$fbconnectjavascript = "";
				}
			}
		}
		else
		{
			//Ask him to log in if no Facebook Cookie Detected
			// $logginbutton = fbconnect_login_form();
			$fbconnectdata = "<b>{$lang->fbconnectloginregister}</b><br /><br />{$logginbutton}";
		}
	}
	else
	{
		if($fbuser->id && $fbuser->email)
		{
			$facebook_mybb_user = $db->simple_select("users", "*", "fbuid='{$fbuser->id}'");
			$fb_user = $db->fetch_array($facebook_mybb_user);
			if(!$fb_user)	
			{			
				//Add his Facebbok UID into database
				$db->query("UPDATE ".TABLE_PREFIX."users SET fbuid = {$fbuser->id} WHERE uid = '{$mybb->user['uid']}'");
				
				$fbconnectheaderinclude = "";
				$fbconnectdata = "{$lang->fbconnectlinkedaccount}<br />";
				$fbconnectjavascript = "<script type=\"text/javascript\">
					<!--
					window.location = \"./index.php\"
					//-->
					</script>";	
			}
			else
			{
				$fbconnectheaderinclude = "";
				$fbconnectdata = "{$lang->fbconnectlinkaccountfail}<br />";
				$fbconnectjavascript = "<script type=\"text/javascript\">
					<!--
					window.location = \"./index.php\"
					//-->
					</script>";	
			}
		}
		else
		{
			// FB user not detected
			// Fetch Login Button
			$fbconnectheaderinclude = "";
			$fbconnectdata = "{$lang->fbconnectlinkaccount}<br/>";
			$fbconnectjavascript = "";
		}
	}
}
else
{
	$fbconnectdata = $lang->fbconnecterror.$lang->fbconnectdisabled.$lang->fbconnectlanguagemismatch.$lang->fbconnectnotconfigured;
}

// Generate facebook connect page
$fbconnectpage = "
	<html xmlns=\"http://www.w3.org/1999/xhtml\" xmlns:fb=\"http://www.facebook.com/2008/fbml\">
	<head>
	<title>{$mybb->settings['bbname']} - FBConnect </title>
	{$headerinclude}
	{$fbconnectheaderinclude}
	</head>
	<body>
	{$header}
	<table border=\"0\" cellspacing=\"1\" cellpadding=\"4\" class=\"tborder\">
	<tr><td class=\"thead\"><strong>{$lang->fbconnecttitle} </strong></td></tr>
	<tr><td class=\"trow1\" align=\"center\">
	{$fbconnectdata}
	</td></tr><tr><td class=\"trow2\" align=\"right\">{$lang->fbconnectcopyright} <a href=\"http://mybbmodding.co.cc\">FBConnect For MyBB</a></td></tr></table><br />
	{$fbconnectjavascript}
	{$footer}
	</body>
	</html>";
// Output facebook connect page
output_page($fbconnectpage);

//Facebook Javascript Implementation
function get_facebook_cookie($app_id, $application_secret)
{
	$args = array();
	parse_str(trim($_COOKIE['fbs_' . $app_id], '\\"'), $args);
	ksort($args);
	$payload = '';
	foreach ($args as $key => $value)
	{
		if ($key != 'sig')
		{
			$payload .= $key . '=' . $value;
		}
	}
	
	if (md5($payload . $application_secret) != $args['sig'])
	{
		return null;
	}
	return $args;
}
/*
//Login Button
function fbconnect_login_form()
{
	return '<fb:login-button perms="email" length="long" size="big"></fb:login-button>';
}*/
?>